Docs For Class MyFormContent

Links: Child Classes Variables Inherited Variables Inherited Methods Methods Variable Detail Method Detail

## Class MyFormContent

(line 43)

    FormContent
       |
       --StandardFormContent
          |
          --MyFormContent

Located in File: Program_Root/examples/form2.php

This is a child of the FormContent class to provide a 'standard' look and feel for forms.

It also enables a confirmation 'page' by default.

Class Variable Summary ^TOP

Inherited Class Variable Summary ^TOP
Inherited From Class StandardFormContent
Variable | Default Value | Description
--- | --- | ---
StandardFormContent::$_form_title | -> ""<- | The title used in the wrapping table
StandardFormContent::$_infotable | -> NULL<- | the InfoTable wrapper that holds all fields.
Inherited From Class FormContent
Variable | Default Value | Description
--- | --- | ---
FormContent::$_action_message | -> ""<- | The message that is set
FormContent::$_cancel_action | -> NULL<- | The action to take opon clicking
FormContent::$_default_label_css | -> "formlabel"<- | This holds the default css class for form field label text.
FormContent::$_elements | ->array()<- | This holds the array of
FormContent::$_error_label_css | -> "formlabelerror"<- | This is the css class used
FormContent::$_form_name | -><- | This holds the name of the form
FormContent::$_has_confirm | -> FALSE<- | flag to let the FormProcessor
FormContent::$_hidden_elements | ->array()<- | This holds the array of
FormContent::$_required_field_marker | -> "*"<- | marker for the required field
FormContent::$_required_field_text | -> " - required field"<- | Text to show denoted required fields for the form.
FormContent::$_width | -> "600"<- | Holds the width to be used for the

Method Summary ^TOP
`void confirm_action ( )`
`void form_backend_validation ( )`
`void form_content ( )`
`void form_init_data ( )` This method is called only the first time the form page is hit.
`void form_init_elements ( )` This method gets called EVERY time the object is
`void _foo_info ( )`
`void _user_info ( )`

Inherited Method Summary ^TOP
Inherited From Class StandardFormContent
Function | Description
--- | ---
StandardFormContent::StandardFormContent() |
StandardFormContent::add_form_block() | This function is used to add a block of form fields inside a table to this form.
StandardFormContent::build_form_block() | this builds a fieldset and legend and adds the form table to it.
StandardFormContent::confirm_action() | This method is responsible for handling the confirmation page's Confirm action.
StandardFormContent::form() | this builds the main wrapper for the form fields and ads the Save and Cancel buttons
StandardFormContent::form_action() | This method handles the form action.
StandardFormContent::form_confirm() | This function is used to show an intermediary confirmation page. Use this function to show a confirmation of the data that was submitted by the user.
StandardFormContent::form_content() | Child class MUST override this to provide the form fields
StandardFormContent::form_content_buttons() | This function is used to build the standard buttons for a form.
StandardFormContent::set_form_title() | this method sets the form title which is used to wrap the entire form
StandardFormContent::_div_wrapper() |
StandardFormContent::_form_content_table() |
Inherited From Class FormContent
Function | Description
--- | ---
FormContent::FormContent() |
FormContent::add_action() | This function adds a form submit button with the appropriate action.
FormContent::add_cancel() | build a cancel button with a url to go to
FormContent::add_element() | This method is used to add a form element
FormContent::add_error() | This method is used to create a new error element during the call to form_action(). This enables us to do error handling during a transaction into a DB.
FormContent::add_hidden_action() | This function adds a submit button that can have any label. It just makes the _form_action a hidden field.
FormContent::add_hidden_element() | This method is used to add a hidden form field
FormContent::add_image_action() | This function adds an action as an image to submit the form.
FormContent::build_confirm_table() | This method allows the child to ovveride the default confirm data. By default the form_confirm() will show ALL FormElements. This is prolly not good in case of a form where a password exists.
FormContent::element_form() | This method returns the actual form object that renders the form field.
FormContent::element_label() | This method returns the label object for a visible form element.
FormContent::form() | This method builds the html form.
FormContent::form_action() | This method handles the
FormContent::form_backend_validation() | This method is called after the FormElements
FormContent::form_confirm() | This function is used to show an intermediary confirmation page. Use this function to show a confirmation of the data that was submitted by the user.
FormContent::form_errors() | This function is used to render the error table for the form. The error data comes from the FormProcessor or the FormValidation.
FormContent::form_init_data() | This method is called by the
FormContent::form_init_elements() | This method is what is called to build the list of FormElements that will be used by this form.
FormContent::form_success() | This method is called when the form_action() was successfull, and the form wants to render some kind of message
FormContent::get_action() | Get the current status of the action.
FormContent::get_default_css() | This function returns the default css class used for NON error text.
FormContent::get_element() | This method returns the FormElement based on the label.
FormContent::get_element_value() | This method is used to get the value for a non hidden element
FormContent::get_hidden_element_value() | This method is used to get the value for a hidden element
FormContent::get_required_fields_text() | This returns the required field text
FormContent::has_confirm() | This gets the value of the confirmation flag.
FormContent::pre_confirm() | This method allows this class to do any data munging prior to the form_confirm method being called @ render time.
FormContent::set_action() | Save the action for the form
FormContent::set_action_message() | This sets the action message.
FormContent::set_cancel_action() | This method sets the javasript action
FormContent::set_confirm() | This sets the $this->_has_confirmation
FormContent::set_default_css() | This function is used to set the
FormContent::set_element_value() | This method is used to set the value for a non hidden element
FormContent::set_error_css() | This function is used to set the css class that is used on text when an error on that field is detected.
FormContent::set_form_name() | **************************
FormContent::set_form_width() | this method sets the form name
FormContent::set_hidden_element_value() | This method is used to set the value for a hidden element
FormContent::set_stripslashes() | This sets the stripslashes flag for this object.

Variable Detail ^TOP

Method Detail ^TOP

confirm_action (line 124)
Usage : void confirm_action( )
Overrides : StandardFormContent::confirm_action() This method is responsible for handling the confirmation page's Confirm action.
Description :

Function Info:

form_backend_validation (line 117)
Usage : void form_backend_validation( )
Description :

Function Info:

form_content (line 85)
Usage : void form_content( )
Overrides : StandardFormContent::form_content() Child class MUST override this to provide the form fields
Description :

Function Info:

form_init_data (line 78)
Usage : void form_init_data( )
Description : This method is called only the first time the form page is hit.

Function Info:

form_init_elements (line 49)
Usage : void form_init_elements( )
Description : This method gets called EVERY time the object is

created

Function Info:

_foo_info (line 105)
Usage : void _foo_info( )
Description :

Function Info:

_user_info (line 91)
Usage : void _user_info( )
Description :

Function Info:

Documention generated on Thu, 20 Feb 2003 15:30:34 -0800 by phpDocumentor 1.2.0rc1